Index: src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -57,11 +57,14 @@
   int IdxOfAtom = -1;
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    IdxOfAtom = CommandLineParser::getInstance().vm[getTitle()].as<int>();
+    try {
+      IdxOfAtom = CommandLineParser::getInstance().vm[getTitle()].as<int>();
+    } catch(boost::bad_any_cast &e) {
+      IdxOfAtom = -1;
+      return false;
+    }
     temp = World::getInstance().getAtom(AtomById(IdxOfAtom));
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing atom for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -52,5 +52,10 @@
   std::vector<int> IdxOfAtom;
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    IdxOfAtom = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<int> >();
+    try {
+      IdxOfAtom = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<int> >();
+    } catch(boost::bad_any_cast &e) {
+      IdxOfAtom.clear();
+      return false;
+    }
     const atom *temp_element;
     for (std::vector<int>::iterator iter = IdxOfAtom.begin(); iter != IdxOfAtom.end(); ++iter) {
@@ -60,8 +65,6 @@
     }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing atoms for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -48,10 +48,13 @@
 bool CommandLineDialog::BooleanCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as<bool>();
+    try {
+      temp = CommandLineParser::getInstance().vm[getTitle()].as<bool>();
+    } catch(boost::bad_any_cast &e) {
+      temp = false;
+      return false;
+    }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing boolean for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -49,10 +49,13 @@
 bool CommandLineDialog::DoubleCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as<double>();
+    try {
+      temp = CommandLineParser::getInstance().vm[getTitle()].as<double>();
+    } catch(boost::bad_any_cast &e) {
+      temp = 0.;
+      return false;
+    }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing double for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -48,10 +48,13 @@
 bool CommandLineDialog::DoublesCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<double> >();
+    try {
+      temp = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<double> >();
+    } catch(boost::bad_any_cast &e) {
+      temp.clear();
+      return false;
+    }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing doubles for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -53,13 +53,17 @@
   // TODO: vector of ints and removing first is not correctly implemented yet. How to remove from a vector?
   periodentafel *periode = World::getInstance().getPeriode();
+  int Z = -1;
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    int Z = CommandLineParser::getInstance().vm[getTitle()].as< int >();
+    try {
+      Z = CommandLineParser::getInstance().vm[getTitle()].as< int >();
+    } catch(boost::bad_any_cast &e) {
+      Z = -1;
+      return false;
+    }
     temp = periode->FindElement(Z);
     ASSERT(temp != NULL, "Invalid element specified in ElementCommandLineQuery");
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing element for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -53,6 +53,12 @@
   // TODO: vector of ints and removing first is not correctly implemented yet. How to remove from a vector?
   periodentafel *periode = World::getInstance().getPeriode();
+  std::vector<int> AllElements;
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    vector<int> AllElements = CommandLineParser::getInstance().vm[getTitle()].as< vector<int> >();
+    try {
+      AllElements = CommandLineParser::getInstance().vm[getTitle()].as< vector<int> >();
+    } catch(boost::bad_any_cast &e) {
+      AllElements.clear();
+      return false;
+    }
     const element *temp_element;
     for (vector<int>::iterator ZRunner = AllElements.begin(); ZRunner != AllElements.end(); ++ZRunner) {
@@ -62,8 +68,6 @@
     }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing elements for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -48,10 +48,13 @@
 bool CommandLineDialog::FileCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as< boost::filesystem::path >();
+    try {
+      temp = CommandLineParser::getInstance().vm[getTitle()].as< boost::filesystem::path >();
+    } catch(boost::bad_any_cast &e) {
+      temp = std::string("");
+      return false;
+    }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing string for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/FilesCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/FilesCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/FilesCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -48,10 +48,13 @@
 bool CommandLineDialog::FilesCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<boost::filesystem::path> >();
+    try {
+      temp = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<boost::filesystem::path> >();
+    } catch(boost::bad_any_cast &e) {
+      temp.clear();
+      return false;
+    }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing string for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -48,10 +48,13 @@
 bool CommandLineDialog::IntCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as<int>();
+    try {
+      temp = CommandLineParser::getInstance().vm[getTitle()].as<int>();
+    } catch(boost::bad_any_cast &e) {
+      temp = 0;
+      return false;
+    }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing integer for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -48,10 +48,13 @@
 bool CommandLineDialog::IntsCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<int> >();
+    try {
+      temp = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<int> >();
+    } catch(boost::bad_any_cast &e) {
+      temp.clear();
+      return false;
+    }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing integers for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -52,11 +52,14 @@
   int IdxOfMol = -1;
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    IdxOfMol = CommandLineParser::getInstance().vm[getTitle()].as<int>();
+    try {
+      IdxOfMol = CommandLineParser::getInstance().vm[getTitle()].as<int>();
+    } catch(boost::bad_any_cast &e) {
+      IdxOfMol = -1;
+      return false;
+    }
     temp = World::getInstance().getMolecule(MoleculeById(IdxOfMol));
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing molecule for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -53,5 +53,10 @@
   std::vector<int> IdxOfMol;
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    IdxOfMol = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<int> >();
+    try {
+      IdxOfMol = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<int> >();
+    } catch(boost::bad_any_cast &e) {
+      IdxOfMol.clear();
+      return false;
+    }
     for (std::vector<int>::iterator iter = IdxOfMol.begin(); iter != IdxOfMol.end(); ++iter) {
       const molecule *temp_element = World::getInstance().getMolecule(MoleculeById(*iter));
@@ -60,8 +65,6 @@
     }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing molecules for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/RandomNumberDistribution_ParametersCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/RandomNumberDistribution_ParametersCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/RandomNumberDistribution_ParametersCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -53,14 +53,18 @@
 
 bool CommandLineDialog::RandomNumberDistribution_ParametersCommandLineQuery::handle() {
+  std::string stringtext;
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    std::string stringtext = CommandLineParser::getInstance().vm[getTitle()].as<std::string>();
+    try {
+      stringtext = CommandLineParser::getInstance().vm[getTitle()].as<std::string>();
+    } catch(boost::bad_any_cast &e) {
+      stringtext = std::string("");
+      return false;
+    }
     std::stringstream text(stringtext);
 //    LOG(1, "INFO: Parameter set from CommandLine is '" << text.str() << "'");
     text >> temp;
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing RandomNumberDistribution_Parameters for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/RealSpaceMatrixCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/RealSpaceMatrixCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/RealSpaceMatrixCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -52,11 +52,15 @@
   RealSpaceMatrixValue _temp;
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    _temp = CommandLineParser::getInstance().vm[getTitle()].as< RealSpaceMatrixValue >();
+    try {
+      _temp = CommandLineParser::getInstance().vm[getTitle()].as< RealSpaceMatrixValue >();
+    } catch(boost::bad_any_cast &e) {
+      for (size_t i=0;i<(NDIM*(NDIM+1))/2;++i)
+        _temp.matrix[i] = 0.;
+      return false;
+    }
     temp = _temp.toRealSpaceMatrix();
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing symmetric box matrix for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -48,10 +48,13 @@
 bool CommandLineDialog::StringCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as<string>();
+    try {
+      temp = CommandLineParser::getInstance().vm[getTitle()].as<string>();
+    } catch(boost::bad_any_cast &e) {
+      temp = std::string("");
+      return false;
+    }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing string for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -48,10 +48,13 @@
 bool CommandLineDialog::StringsCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<std::string> >();
+    try {
+      temp = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<std::string> >();
+    } catch(boost::bad_any_cast &e) {
+      temp.clear();
+      return false;
+    }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing strings for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -48,10 +48,13 @@
 bool CommandLineDialog::UnsignedIntCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as<unsigned int>();
+    try {
+      temp = CommandLineParser::getInstance().vm[getTitle()].as<unsigned int>();
+    } catch(boost::bad_any_cast &e) {
+      temp = -1;
+      return false;
+    }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing integer for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -48,10 +48,13 @@
 bool CommandLineDialog::UnsignedIntsCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<unsigned int> >();
+    try {
+      temp = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<unsigned int> >();
+    } catch(boost::bad_any_cast &e) {
+      temp.clear();
+      return false;
+    }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing integers for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -54,11 +54,15 @@
   VectorValue _temp;
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    _temp = CommandLineParser::getInstance().vm[getTitle()].as< VectorValue >();
+    try {
+      _temp = CommandLineParser::getInstance().vm[getTitle()].as< VectorValue >();
+    } catch(boost::bad_any_cast &e) {
+      for (size_t i=0;i<NDIM;++i)
+        _temp.vector[i] = 0.;
+      return false;
+    }
     temp = _temp.toVector();
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing vector for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
Index: src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp	(revision dd0c8ff580ba75fc5f2bb4e7d0bdfce0f61abdec)
@@ -54,5 +54,10 @@
   std::vector<VectorValue> temporary;
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temporary = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<VectorValue> >();
+    try {
+      temporary = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<VectorValue> >();
+    } catch(boost::bad_any_cast &e) {
+      temporary.clear();
+      return false;
+    }
     for(std::vector<VectorValue>::iterator iter = temporary.begin(); iter != temporary.end(); ++iter) {
       Vector temp_element = (*iter).toVector();
@@ -60,8 +65,6 @@
     }
     return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing vectors for " << getTitle() << ".");
-    return false;
   }
+  return false;
 }
 
